Bug 182432

Summary: [GTK][Wayland][WPE] fast/canvas/canvas-createPattern-video-modify.html failing
Product: WebKit Reporter: Claudio Saavedra <csaavedra>
Component: WPE WebKitAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: bugs-noreply, cadubentzen, clopez, commit-queue, mcatanzaro, pnormand
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Claudio Saavedra 2018-02-02 07:07:52 PST
The test fast/canvas/canvas-createPattern-video-modify.html is failing for GTK-Wayland and WPE. It seems that it might be related to https://trac.webkit.org/changeset/227901/webkit as it started failing around the time this was pushed. I'm updating the expectations for the test in both platforms.
Comment 1 Claudio Saavedra 2018-02-02 07:14:20 PST
Committed r228008: <https://trac.webkit.org/changeset/228008>
Comment 2 Claudio Saavedra 2018-02-02 07:14:54 PST
What's wrong with webkit-patch land.
Comment 3 Philippe Normand 2018-02-06 02:09:41 PST
The test passes fine here on Wayland with the radeonsi driver but not on the bot which has the intel driver. So someone using the intel driver should debug this I think.
Comment 4 Carlos Bentzen 2018-04-11 22:07:45 PDT
The test passes here with Mesa 17.3.7 Intel driver in both WPE and GTK-Wayland.
Comment 5 Philippe Normand 2018-04-12 01:22:30 PDT
Oh, great. Let's unflag the test and keep an eye on bots then! Can you submit a patch Carlos? Thanks!
Comment 6 Carlos Bentzen 2018-04-13 17:03:05 PDT
Created attachment 337933 [details]
Patch

This test already unflagged on WPE in r229358
Comment 7 Carlos Bentzen 2018-04-13 17:03:50 PDT
(In reply to Carlos Eduardo Ramalho from comment #6)
> Created attachment 337933 [details]
> Patch
> 
> This test already unflagged on WPE in r229358

typo: *was* already unflagged
Comment 8 WebKit Commit Bot 2018-04-13 20:14:51 PDT
Comment on attachment 337933 [details]
Patch

Clearing flags on attachment: 337933

Committed r230654: <https://trac.webkit.org/changeset/230654>
Comment 9 WebKit Commit Bot 2018-04-13 20:14:53 PDT
All reviewed patches have been landed.  Closing bug.